import { request } from "../utils/request";

// 获取用户订单列表
export function userWorkOrderList(args: any) {
  return request({
    url: "/hotelBiz/workOrder/userWorkOrderList",
    method: "post",
    data: args,
  });
}

// 获取工单类型
export function workOrderTypeListForBiz() {
  return request({
    url: "/hotelBiz/workOrder/workOrderTypeListForBiz",
    method: "get",
  });
}

// 创建工单
export function createWorkOrder(args: any) {
  return request({
    url: "/hotelBiz/workOrder/createWorkOrder",
    method: "post",
    data: args,
  });
}

// 关闭工单
export function closeWorkOrder(args: any) {
  return request({
    url: "/hotelBiz/workOrder/closeWorkOrder",
    method: "post",
    data: args,
  });
}
